Commit ed3ba5c9 authored by Administrator's avatar Administrator

update flutter, bug in counting existing tagGroups

parent 0289e567
{"_info":"// This is a generated file; do not edit or check into version control.","dependencyGraph":[{"name":"flutter_secure_storage","dependencies":[]},{"name":"path_provider","dependencies":["path_provider_macos"]},{"name":"path_provider_macos","dependencies":[]},{"name":"shared_preferences","dependencies":["shared_preferences_macos","shared_preferences_web"]},{"name":"shared_preferences_macos","dependencies":[]},{"name":"shared_preferences_web","dependencies":[]},{"name":"sqflite","dependencies":[]},{"name":"uni_links","dependencies":[]},{"name":"url_launcher","dependencies":["url_launcher_web","url_launcher_macos"]},{"name":"url_launcher_macos","dependencies":[]},{"name":"url_launcher_web","dependencies":[]}]} {"info":"This is a generated file; do not edit or check into version control.","plugins":{"ios":[{"name":"flutter_secure_storage","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_secure_storage-3.3.3/","dependencies":[]},{"name":"path_provider","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/path_provider-1.6.8/","dependencies":[]},{"name":"shared_preferences","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/shared_preferences-0.5.7+2/","dependencies":[]},{"name":"sqflite","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/sqflite-1.3.0+1/","dependencies":[]},{"name":"uni_links","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/uni_links-0.4.0/","dependencies":[]},{"name":"url_launcher","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/url_launcher-5.4.7/","dependencies":[]}],"android":[{"name":"flutter_secure_storage","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_secure_storage-3.3.3/","dependencies":[]},{"name":"path_provider","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/path_provider-1.6.8/","dependencies":[]},{"name":"shared_preferences","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/shared_preferences-0.5.7+2/","dependencies":[]},{"name":"sqflite","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/sqflite-1.3.0+1/","dependencies":[]},{"name":"uni_links","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/uni_links-0.4.0/","dependencies":[]},{"name":"url_launcher","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/url_launcher-5.4.7/","dependencies":[]}],"macos":[{"name":"path_provider_macos","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/path_provider_macos-0.0.4+2/","dependencies":[]},{"name":"shared_preferences_macos","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/shared_preferences_macos-0.0.1+8/","dependencies":[]},{"name":"sqflite","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/sqflite-1.3.0+1/","dependencies":[]},{"name":"url_launcher_macos","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/url_launcher_macos-0.0.1+5/","dependencies":[]}],"linux":[],"windows":[],"web":[{"name":"shared_preferences_web","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/shared_preferences_web-0.1.2+5/","dependencies":[]},{"name":"url_launcher_web","path":"/home/stefan/flutter/flutter/.pub-cache/hosted/pub.dartlang.org/url_launcher_web-0.1.1+5/","dependencies":[]}]},"dependencyGraph":[{"name":"flutter_secure_storage","dependencies":[]},{"name":"path_provider","dependencies":["path_provider_macos"]},{"name":"path_provider_macos","dependencies":[]},{"name":"shared_preferences","dependencies":["shared_preferences_macos","shared_preferences_web"]},{"name":"shared_preferences_macos","dependencies":[]},{"name":"shared_preferences_web","dependencies":[]},{"name":"sqflite","dependencies":[]},{"name":"uni_links","dependencies":[]},{"name":"url_launcher","dependencies":["url_launcher_web","url_launcher_macos"]},{"name":"url_launcher_macos","dependencies":[]},{"name":"url_launcher_web","dependencies":[]}],"date_created":"2020-05-14 14:40:28.724849","version":"1.17.1"}
\ No newline at end of file \ No newline at end of file
#!/bin/sh #!/bin/sh
# This is a generated file; do not edit or check into version control. # This is a generated file; do not edit or check into version control.
export "FLUTTER_ROOT=/Users/stefan/flutter/flutter" export "FLUTTER_ROOT=/home/stefan/flutter/flutter"
export "FLUTTER_APPLICATION_PATH=/Users/stefan/flutter/encrateia" export "FLUTTER_APPLICATION_PATH=/home/stefan/flutter/encrateia"
export "FLUTTER_TARGET=/Users/stefan/flutter/encrateia/lib/main.dart" export "FLUTTER_TARGET=lib/main.dart"
export "FLUTTER_BUILD_DIR=build" export "FLUTTER_BUILD_DIR=build"
export "SYMROOT=${SOURCE_ROOT}/../build/ios" export "SYMROOT=${SOURCE_ROOT}/../build/ios"
export "FLUTTER_FRAMEWORK_DIR=/Users/stefan/flutter/flutter/bin/cache/artifacts/engine/ios" export "OTHER_LDFLAGS=$(inherited) -framework Flutter"
export "FLUTTER_BUILD_NAME=0.2.5" export "FLUTTER_FRAMEWORK_DIR=/home/stefan/flutter/flutter/bin/cache/artifacts/engine/ios"
export "FLUTTER_BUILD_NUMBER=0.2.5" export "FLUTTER_BUILD_NAME=0.3.0"
export "TRACK_WIDGET_CREATION=true" export "FLUTTER_BUILD_NUMBER=0.3.0"
...@@ -40,7 +40,7 @@ class _AthleteHeartRateZoneSchemaWidgetState ...@@ -40,7 +40,7 @@ class _AthleteHeartRateZoneSchemaWidgetState
child: Text( child: Text(
"\nHeart Rate Zone Schemas ${offset + 1} - ${offset + rows} " "\nHeart Rate Zone Schemas ${offset + 1} - ${offset + rows} "
"of ${heartRateZoneSchemas.length}", "of ${heartRateZoneSchemas.length}",
style: Theme.of(context).textTheme.title, style: Theme.of(context).textTheme.headline6,
), ),
), ),
DataTable( DataTable(
......
...@@ -39,7 +39,7 @@ class _AthletePowerZoneSchemaWidgetState ...@@ -39,7 +39,7 @@ class _AthletePowerZoneSchemaWidgetState
child: Text( child: Text(
"\nPowerZoneSchemas ${offset + 1} - ${offset + rows} " "\nPowerZoneSchemas ${offset + 1} - ${offset + rows} "
"of ${powerZoneSchemas.length}", "of ${powerZoneSchemas.length}",
style: Theme.of(context).textTheme.title, style: Theme.of(context).textTheme.headline6,
), ),
), ),
DataTable( DataTable(
......
...@@ -16,7 +16,7 @@ class AthleteTagGroupWidget extends StatefulWidget { ...@@ -16,7 +16,7 @@ class AthleteTagGroupWidget extends StatefulWidget {
} }
class _AthleteTagGroupWidgetState extends State<AthleteTagGroupWidget> { class _AthleteTagGroupWidgetState extends State<AthleteTagGroupWidget> {
List<TagGroup> tagGroups = []; List<TagGroup> tagGroups;
int offset = 0; int offset = 0;
int rows; int rows;
...@@ -37,7 +37,7 @@ class _AthleteTagGroupWidgetState extends State<AthleteTagGroupWidget> { ...@@ -37,7 +37,7 @@ class _AthleteTagGroupWidgetState extends State<AthleteTagGroupWidget> {
child: Text( child: Text(
"\nTag Groups ${offset + 1} - ${offset + rows} " "\nTag Groups ${offset + 1} - ${offset + rows} "
"of ${tagGroups.length}", "of ${tagGroups.length}",
style: Theme.of(context).textTheme.title, style: Theme.of(context).textTheme.headline6,
), ),
), ),
DataTable( DataTable(
......
...@@ -21,28 +21,28 @@ packages: ...@@ -21,28 +21,28 @@ packages:
name: archive name: archive
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "2.0.11" version: "2.0.13"
args: args:
dependency: transitive dependency: transitive
description: description:
name: args name: args
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.5.2" version: "1.6.0"
async: async:
dependency: transitive dependency: transitive
description: description:
name: async name: async
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "2.4.0" version: "2.4.1"
boolean_selector: boolean_selector:
dependency: transitive dependency: transitive
description: description:
name: boolean_selector name: boolean_selector
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.0.5" version: "2.0.0"
build: build:
dependency: transitive dependency: transitive
description: description:
...@@ -112,7 +112,7 @@ packages: ...@@ -112,7 +112,7 @@ packages:
name: charcode name: charcode
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.1.2" version: "1.1.3"
charts_common: charts_common:
dependency: transitive dependency: transitive
description: description:
...@@ -147,7 +147,7 @@ packages: ...@@ -147,7 +147,7 @@ packages:
name: collection name: collection
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.14.11" version: "1.14.12"
convert: convert:
dependency: transitive dependency: transitive
description: description:
...@@ -175,7 +175,7 @@ packages: ...@@ -175,7 +175,7 @@ packages:
name: crypto name: crypto
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "2.1.3" version: "2.1.4"
csslib: csslib:
dependency: transitive dependency: transitive
description: description:
...@@ -245,7 +245,7 @@ packages: ...@@ -245,7 +245,7 @@ packages:
name: flushbar name: flushbar
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.9.1" version: "1.10.2"
flutter: flutter:
dependency: "direct main" dependency: "direct main"
description: flutter description: flutter
...@@ -330,7 +330,7 @@ packages: ...@@ -330,7 +330,7 @@ packages:
name: image name: image
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "2.1.4" version: "2.1.12"
intl: intl:
dependency: transitive dependency: transitive
description: description:
...@@ -519,7 +519,7 @@ packages: ...@@ -519,7 +519,7 @@ packages:
name: quiver name: quiver
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "2.0.5" version: "2.1.3"
shared_preferences: shared_preferences:
dependency: transitive dependency: transitive
description: description:
...@@ -594,7 +594,7 @@ packages: ...@@ -594,7 +594,7 @@ packages:
name: source_map_stack_trace name: source_map_stack_trace
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.1.5" version: "2.0.0"
source_maps: source_maps:
dependency: transitive dependency: transitive
description: description:
...@@ -608,7 +608,7 @@ packages: ...@@ -608,7 +608,7 @@ packages:
name: source_span name: source_span
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.5.5" version: "1.7.0"
sqfentity: sqfentity:
dependency: "direct main" dependency: "direct main"
description: description:
...@@ -692,21 +692,21 @@ packages: ...@@ -692,21 +692,21 @@ packages:
name: test name: test
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.9.4" version: "1.14.3"
test_api: test_api:
dependency: transitive dependency: transitive
description: description:
name: test_api name: test_api
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "0.2.11" version: "0.2.15"
test_core: test_core:
dependency: transitive dependency: transitive
description: description:
name: test_core name: test_core
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "0.2.15" version: "0.3.4"
timing: timing:
dependency: transitive dependency: transitive
description: description:
...@@ -791,13 +791,20 @@ packages: ...@@ -791,13 +791,20 @@ packages:
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "1.1.0" version: "1.1.0"
webkit_inspection_protocol:
dependency: transitive
description:
name: webkit_inspection_protocol
url: "https://pub.dartlang.org"
source: hosted
version: "0.5.4"
xml: xml:
dependency: transitive dependency: transitive
description: description:
name: xml name: xml
url: "https://pub.dartlang.org" url: "https://pub.dartlang.org"
source: hosted source: hosted
version: "3.5.0" version: "3.6.1"
yaml: yaml:
dependency: transitive dependency: transitive
description: description:
...@@ -806,5 +813,5 @@ packages: ...@@ -806,5 +813,5 @@ packages:
source: hosted source: hosted
version: "2.2.1" version: "2.2.1"
sdks: sdks:
dart: ">=2.7.0 <3.0.0" dart: ">=2.7.2 <3.0.0"
flutter: ">=1.12.13+hotfix.5 <2.0.0" flutter: ">=1.12.13+hotfix.5 <2.0.0"
...@@ -23,7 +23,7 @@ dependencies: ...@@ -23,7 +23,7 @@ dependencies:
charts_flutter: ^0.8.1 charts_flutter: ^0.8.1
uuid: 2.0.4 uuid: 2.0.4
flushbar: 1.9.1 flushbar: 1.10.2
path_provider: ^1.6.7 path_provider: ^1.6.7
csv: ^4.0.3 csv: ^4.0.3
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment